## org.w3c.jigsaw.ssi.commands
Class EchoCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.EchoCommand

public class EchoCommand
extends java.lang.Object
implements Command

Implementation of the `echo` SSI command. As extensions, it has the parameters "reqstate" (for echoing Jigsaw request states) and "reqheader" (for echoing request header).

Also, it can take the flag "here", whose presence means that the variable is to be interpreted at the deepest request level (in the case of chained internal requests), instead of doing so at the top (external request) level. It inserts the value of a variable in the document.

Constructor Summary
`EchoCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`Reply` | `execute(SSIFrame ssiframe, Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String variable, Request request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EchoCommand

    public EchoCommand()

Method Detail

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Specified by:
    acceptCaching in interface Command
  Returns:
    a boolean.

### execute

    public Reply execute(SSIFrame ssiframe,
                         Request request,
                         ArrayDictionary parameters,
                         java.util.Dictionary variables)

  Specified by:
    execute in interface Command

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Command

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String variable,
                                     Request request)

  Specified by:
    getValue in interface Command